
/*typedef struct
{
	VERT pos;
}WIND_PARTICLE;
*/

typedef struct WIND_DEFTAG *WIND_DEFHANDLE;

typedef struct WIND_DEFTAG
{
	WIND_DEFHANDLE next, prev;
	VECTOR pos, size, dir;
	int str;
	int dropOff;
	int active;
	int tag;
	int nParticles;
	//WIND_PARTICLE *pParticles;
	VERT *pParticles;
	long *pDepths;
	long *pScrXY;
}WIND_DEFSTR;

typedef struct
{
	WIND_DEFSTR head;
	int numEntries;
}WINDLIST;



void windInitialise(void);
WIND_DEFSTR *windCreate(void);
void windUpdate(void);
void windClearUpMessAfterwards(void);
void windSetValues(int tag, int activeBool);
